import { Component, OnInit, Input } from '@angular/core';

@Component({
  selector: 'app-ide-compile',
  templateUrl: './ide-compile.component.html',
  styleUrls: ['./ide-compile.component.scss']
})
export class IdeCompileComponent implements OnInit {
  @Input() statusVal: string;
  @Input() resultVal: number;
  isActive = false;
  constructor() { }

  ngOnInit(): void { }

  setState(inp: boolean): void {
    this.isActive = inp;
  }

  set status(value: string) {
    this.statusVal = value;
  }
}
